We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 8684 - Move signInAsUser / signOutAsUser functionality into shared library
Move signInAsUser / signOutAsUser functionality into shared library
Status: NEW
Product: OJS
Classification: Unclassified
Component: Journal Management
3.0b
All All
: P3 normal
Assigned To: Alec Smecher
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-08 15:17 PDT by Alec Smecher
Modified: 2014-04-15 14:05 PDT (History)
0 users

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alec Smecher 2014-04-08 15:17:58 PDT
Move signInAsUser / signOutAsUser functionality into shared library. Currently it's duplicated code.
Comment 1 Alec Smecher 2014-04-14 17:55:02 PDT
Pull request opened (not merged):
Moved signIn/OutAsUser code to shared library
https://github.com/pkp/ojs/pull/157
Comment 2 Michael Thessel 2014-04-14 18:05:37 PDT
Pull requests here, Alec, please review:

https://github.com/pkp/pkp-lib/pull/78
https://github.com/pkp/ojs/pull/157
https://github.com/pkp/omp/pull/16
Comment 3 Alec Smecher 2014-04-15 09:02:19 PDT
Looks good, Michael. I made a couple of very minor comments to the lib-pkp pull request.
Comment 4 Michael Thessel 2014-04-15 13:29:55 PDT
Updated pull request with requested changes.
Comment 5 Michael Thessel 2014-04-15 14:02:04 PDT
Switched to PKPValidation::canAdminister
https://github.com/pkp/pkp-lib/commit/aabac2bf30315087f0dba49f10454ff5cb06d555
Comment 6 Michael Thessel 2014-04-15 14:02:04 PDT
Moved signIn/OutAsUser code to shared library
https://github.com/pkp/pkp-lib/commit/552f43662beadc65377fa14a9ef815cf2b2f5b40
Comment 7 Alec Smecher 2014-04-15 14:02:04 PDT
Pull request closed (merged):
Moved signIn/OutAsUser code to shared library
https://github.com/pkp/pkp-lib/pull/78
Comment 8 Michael Thessel 2014-04-15 14:02:04 PDT
Moved signIn/OutAsUser code to shared library
https://github.com/pkp/omp/commit/8cd41412157cbf4f3fb3a27a41056b3bbb694625
Comment 9 Alec Smecher 2014-04-15 14:02:04 PDT
Pull request closed (merged):
Moved signIn/OutAsUser code to shared library
https://github.com/pkp/omp/pull/16
Comment 10 Michael Thessel 2014-04-15 14:02:04 PDT
Moved signIn/OutAsUser code to shared library
https://github.com/pkp/ojs/commit/b67e58f212a9098db3c6d4a9c7d1e5e34bc168f6
Comment 11 Alec Smecher 2014-04-15 14:02:04 PDT
Pull request closed (merged):
Moved signIn/OutAsUser code to shared library
https://github.com/pkp/ojs/pull/157
Comment 12 Alec Smecher 2014-04-15 14:05:24 PDT
Michael, I merged in the pull requests, but caught a bug after I did: some users won't have access to the dashboard (e.g. users who don't have any roles in the journal). In that case the "Log In As" will result in an "Access Denied" page. These cases should be sent to the journal's index page instead.